Author Topic: Dim Text Offset Problem ?  (Read 2468 times)

0 Members and 1 Guest are viewing this topic.

eesm

  • Guest
Dim Text Offset Problem ?
« on: July 27, 2012, 10:53:53 AM »
Hi
I want to change dim text offset of the drawing zone with lisp. how can I do it?

Cathy

  • Guest
Re: Dim Text Offset Problem ?
« Reply #1 on: July 27, 2012, 01:46:49 PM »
(setvar "dimgap" 0.5) ?

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Dim Text Offset Problem ?
« Reply #2 on: July 27, 2012, 03:47:11 PM »
Hi
I want to change dim text offset of the drawing zone with lisp. how can I do it?
What do you mean by drawing zone?
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

eesm

  • Guest
Re: Dim Text Offset Problem ?
« Reply #3 on: July 30, 2012, 03:36:58 AM »
I want to change dimensions from existing drawing. Dimgap change dimensions style but I want to change dimensions in my existing drawing.

Tharwat

  • Swamp Rat
  • Posts: 711
  • Hypersensitive
Re: Dim Text Offset Problem ?
« Reply #4 on: July 30, 2012, 03:54:49 AM »
I want to change dimensions from existing drawing. Dimgap change dimensions style but I want to change dimensions in my existing drawing.

Are you wanting to change all dimension styles in a drawing or only the selected ones by a user or a specific dimension style ?

eesm

  • Guest
Re: Dim Text Offset Problem ?
« Reply #5 on: July 30, 2012, 04:43:18 AM »
I want to change  only the selected ones...

Tharwat

  • Swamp Rat
  • Posts: 711
  • Hypersensitive
Re: Dim Text Offset Problem ?
« Reply #6 on: July 30, 2012, 04:47:23 AM »
Code - Auto/Visual Lisp: [Select]
  1. (defun c:Test (/ gp sel in sn)
  2.   (if (not acdoc)
  3.   )
  4.   (if (and (setq gp (getdist "\n Specify Text gap <offset> :"))
  5.            (setq sel (ssget "_:L" '((0 . "*DIMENSION"))))
  6.       )
  7.     (progn
  8.       (vla-StartUndoMark acdoc)
  9.       (repeat (setq in (sslength sel))
  10.         (setq sn (ssname sel (setq in (1- in))))
  11.         (vla-put-textgap (vlax-ename->vla-object sn) gp)
  12.       )
  13.       (vla-endUndoMark acdoc)
  14.     )
  15.     (princ)
  16.   )
  17.   (princ)
  18. )
  19.  

eesm

  • Guest
Re: Dim Text Offset Problem ?
« Reply #7 on: July 30, 2012, 05:31:19 AM »
that is what I am looking for. thanks a lot.

Tharwat

  • Swamp Rat
  • Posts: 711
  • Hypersensitive
Re: Dim Text Offset Problem ?
« Reply #8 on: July 30, 2012, 05:35:25 AM »
that is what I am looking for. thanks a lot.

You're welcome ....